package PR2.HitoriSpiel.GUI;

import javax.swing.*;
import java.awt.*;

public class StartMenu extends JPanel {

    public StartMenu(JFrame parentFrame) {
        // Layout auf FlowLayout setzen
        this.setLayout(new FlowLayout(FlowLayout.CENTER, 10, 10)); // Zentriert mit Abständen

        // Buttons erstellen
        JButton continueButton = createButton("Spiel fortsetzen", 200, 30);
        JButton selectBoardButton = createButton("Spielfeld aussuchen", 200, 30);
        JButton randomBoardButton = createButton("Zufälliges Spielfeld", 200, 30);
        JButton highscorelistButton = createButton("Highscoreliste anzeigen", 200, 30);
        JButton exitButton = createButton("Spiel beenden", 200, 30);

        // Namen für AssertJ-Swing setzen
        continueButton.setName("continueButton");
        selectBoardButton.setName("selectBoardButton");
        randomBoardButton.setName("randomBoardButton");
        highscorelistButton.setName("highscorelistButton");
        exitButton.setName("exitButton");

        // ActionListener hinzufügen
        continueButton.addActionListener(e -> showMessage("Spiel fortsetzen wird implementiert."));
        selectBoardButton.addActionListener(e -> showMessage("Spielfeld auswählen wird implementiert."));
        randomBoardButton.addActionListener(e -> showMessage("Zufälliges Spielfeld wird gestartet."));
        highscorelistButton.addActionListener(e -> showMessage("Highscore-Liste wird angezeigt."));
        exitButton.addActionListener(e -> System.exit(0));

        // Buttons zum Panel hinzufügen
        this.add(continueButton);
        this.add(selectBoardButton);
        this.add(randomBoardButton);
        this.add(highscorelistButton);
        this.add(exitButton);
    }

    // Methode zum Anzeigen von Nachrichten
    private void showMessage(String message) {
        JOptionPane.showMessageDialog(this, message, "Info", JOptionPane.INFORMATION_MESSAGE);
    }

    // Methode zum Erstellen von Buttons mit fester Größe
    private JButton createButton(String text, int width, int height) {
        JButton button = new JButton(text);
        button.setPreferredSize(new Dimension(width, height)); // Feste Größe setzen
        return button;
    }
}
